/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.core;

/**
 *  Raised when an error is found in a system configuration.
 *
 *  @author Alberto Montresor
 *  @since Jgroup 0.8
 */
public class ConfigurationException
  extends JgroupException
{

  private static final long serialVersionUID = -7705537071823340523L;

  /**
   *  Constructs a <code>ConfigurationException</code> with the
   *  specified message.
   *
   *  @param message
   *    Detailed message describing the problem.
   */
  public ConfigurationException(String message)
  {
    super(message);
  }

  /**
   *  Constructs a <code>ConfigurationExeception</code> with the specified
   *  message and cause exception.
   *
   *  @param message
   *    Detailed message describing the problem.
   *  @param cause
   *    The cause exception.
   */
  public ConfigurationException(String message, Throwable cause)
  {
    super(message, cause);
  }

} // END ConfigurationException
