/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.events;



/**
 *  The <code>PrepareEvent</code> class represents a local message
 *  exchanged between members and the daemon; it is used by a daemon to
 *  notify members that a new view is about to be installed.
 *
 *  @author Alberto Montresor
 *  @author Hein Meling
 *  @since  Jgroup 1.2
 */
public final class PrepareEvent
  extends Event
{

  private static final long serialVersionUID = -4542638544844394361L;

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Default constructor for externalization.
   */
  public PrepareEvent()
  {
  }

  /**
   *  Creates a new <code>PrepareEvent</code>.
   */
  public PrepareEvent(int gid)
  {
    super(PREPARE_EVENT, gid);
  }

} // END PrepareEvent
