/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.types;

import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

/**
 *  The <code>MessageTag</code> class wraps a value of the relacs daemon
 *  and mss type in an object.
 *
 *  @author Hein Meling
 *  @since  Jgroup 1.2
 */
public final class MessageTag
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constants
  ////////////////////////////////////////////////////////////////////////////////////////////

  /** Size of this object in bytes */
  public static final int SIZE = 1;


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Marshaling / unmarshaling methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Marshals the specified message tag to an outgoing message.
   */
  public static void marshal(ObjectOutput msg, byte value)
    throws IOException
  {
    msg.writeByte(value);
  }
  
  /**
   *  Unmarshals a message tag from an incoming message.
   */
  public static byte unmarshal(ObjectInput msg)
    throws IOException
  {
    return msg.readByte();
  }

  /**
   *  Unmarshals a message tag from a byte.
   */
  public static byte unmarshal(byte value)
  {
    return value;
  }

} // END Flag
