/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.upgrade;

/**
 *  The <code>UpgradeListener</code> is the interface that must be
 *  implemented by application replicas that should be upgradeable.
 *
 *  @author Hein Meling
 *  @since Jgroup 1.2
 */
public interface UpgradeListener
{

  /**
   *  Upcall method invoked on the application replica to inform it that
   *  this replica has been upgraded, and it can terminate its current
   *  execution. This method should only do application specific shutdown
   *  procedures.
   */
  public void upgraded();

}
